Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class QueryEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.QueryEvent

All Implemented Interfaces:
  java.io.Serializable

    public class QueryEvent

extends MapEvent

An event generated when a Query object is added to a DataMap, removed from a DataMap, or changed within a DataMap.

Since:
  1.1
Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected Query` | `query`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`QueryEvent(java.lang.Object source, Query query)`
`QueryEvent(java.lang.Object source, Query query, int type)`
`QueryEvent(java.lang.Object source, Query query, java.lang.String oldName)`

Method Summary
`java.lang.String` | `getNewName()` Returns the newName of the object that caused this event.
`Query` | `getQuery()`
`void` | `setQuery(Query query)`

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getId, getOldName, isNameChange, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    protected Query query

Constructor Detail

### QueryEvent

    public QueryEvent(java.lang.Object source,
                      Query query)

### QueryEvent

    public QueryEvent(java.lang.Object source,
                      Query query,
                      java.lang.String oldName)

### QueryEvent

    public QueryEvent(java.lang.Object source,
                      Query query,
                      int type)

Method Detail

### getNewName

    public java.lang.String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

### getQuery

    public Query getQuery()

### setQuery

    public void setQuery(Query query)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.